Index: code/branches/Asteroid_HS17/data/levels/includes/asteroids2DWeapon.oxi
===================================================================
--- code/branches/Asteroid_HS17/data/levels/includes/asteroids2DWeapon.oxi	(revision 11645)
+++ code/branches/Asteroid_HS17/data/levels/includes/asteroids2DWeapon.oxi	(revision 11645)
@@ -0,0 +1,30 @@
+    <weaponslots>
+      <WeaponSlot position="-9.2,2,-13" />
+      <WeaponSlot position=" 9.2,2,-13" />
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+      <WeaponSet firemode=1 />
+    </weaponsets>
+    <weaponpacks>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+          <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
+        </links>
+        <Weapon>
+          <Asteroids2DWeapon mode=0 munitionpershot=0 delay=0.125 damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" projectileMesh="laserbeam.mesh" />
+        </Weapon>
+        <Weapon>
+          <Asteroids2DWeapon mode=0 munitionpershot=0 delay=0     damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" projectileMesh="laserbeam.mesh" />
+        </Weapon>
+      </WeaponPack>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=1 weaponmode=0 />
+        </links>
+      </WeaponPack>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+    </munition>
Index: code/branches/Asteroid_HS17/data/levels/templates/spaceshipAsteroids2D.oxt
===================================================================
--- code/branches/Asteroid_HS17/data/levels/templates/spaceshipAsteroids2D.oxt	(revision 11637)
+++ code/branches/Asteroid_HS17/data/levels/templates/spaceshipAsteroids2D.oxt	(revision 11645)
@@ -43,6 +43,6 @@
   >
     <engines>
-      <MultiStateEngine position=" 7.6, 0, 6" template=spaceshipinvaderengine />
-      <MultiStateEngine position="-7.6, 0, 0" template=spaceshipinvaderengine />
+      <MultiStateEngine position=" 7.6, 0, 6" template=spaceshipasteroids2dengine />
+      <MultiStateEngine position="-7.6, 0, 0" template=spaceshipasteroids2dengine />
     </engines>
     <attached>
@@ -72,5 +72,5 @@
     </explosion>
 <?lua
-  include("../includes/invaderWeapon.oxi")
+  include("../includes/asteroids2DWeapon.oxi")
 ?>
   </Asteroids2DShip>
@@ -93,5 +93,5 @@
 </Template>
 
-<Template name=spaceshipinvaderengine baseclass=MultiStateEngine>
+<Template name=spaceshipasteroids2dengine baseclass=MultiStateEngine>
   <MultiStateEngine
    boostfactor    = 2.2
@@ -111,4 +111,6 @@
    accelerationupdown    =  500
   >
+
+  <!-- backlight error if you fly over the edge
     <EffectContainer condition="idle">
       <WorldSound mainstate="activity" source="sounds/Engine_idle.ogg" looping=1 active=false/>
@@ -130,4 +132,6 @@
     </EffectContainer>
 
+  -->
+
   </MultiStateEngine>
 </Template>
Index: code/branches/Asteroid_HS17/data/overlays/Asteroids2DHUD.oxo
===================================================================
--- code/branches/Asteroid_HS17/data/overlays/Asteroids2DHUD.oxo	(revision 11637)
+++ code/branches/Asteroid_HS17/data/overlays/Asteroids2DHUD.oxo	(revision 11645)
@@ -6,4 +6,27 @@
 <Template name="Asteroids2DHUD">
   <OverlayGroup name="Asteroids2DHUD" scale = "1, 1">
+
+    <OverlayText
+     position  = "0.02, 0.1"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+     caption   = "Lives:   "
+    />
+
+    <Asteroids2DHUDinfo
+     position  = "0.14, 0.1"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+
+     showlives     = true
+     showlevel     = false
+     showpoints     = false
+    />
 
     <OverlayText
@@ -28,4 +51,27 @@
     />
 
+    <OverlayText
+     position  = "0.02, 0.055"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+     caption   = "Level: "
+    />
+
+    <Asteroids2DHUDinfo
+     position  = "0.14, 0.055"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+
+     showlives     = false
+     showlevel     = true
+     showpoints     = false
+    />
+
     
   </OverlayGroup>
